import request from '@/utils/request'
const baseURL = process.env.VUE_APP_BASE_API1
// getFaBannerList
export function getFaBannerList(data) {
  return request({
    baseURL: baseURL,
    url: '/Public/getFaBannerList',
    method: 'post',
    data
  })
}
// getIframeUrl
export function getIframeUrl() {
  return request({
    baseURL: 'https://info.jdnx.com/',
    url: '/v1/uri',
    method: 'get',
  })
}
// getFaNoticeList
export function getFaNoticeList(data) {
  return request({
    baseURL: baseURL,
    url: '/Public/getFaNoticeList',
    method: 'post',
    data
  })
}

// getAPKList
export function getAPKList(data) {
  return request({
    url: '/Public/getAPKList',
    method: 'post',
    data
  })
}

// getSystemDatetime
export function getSystemDatetime(data) {
  return request({
    url: '/Public/getSystemDatetime',
    method: 'post',
    data
  })
}

// getFaBannerList
export function ApkDownLoad(data) {
  return request({
    url: '/Public/ApkDownLoad',
    method: 'post',
    data
  })
}

export function getFaSupportByID(data) {
  return request({
    url: '/Public/getFaSupportByID',
    method: 'post',
    data
  })
}

export function getCountryList(data) {
  return request({
    url: '/Public/getCountryList',
    method: 'post',
    data
  })
}

export function getParams(data) {
  return request({
    url: '/Public/getParams',
    method: 'post',
    data
  })
}